El jailbreak para iPhone 4S e iPad 2 se complica por problemas de desarrollo

La semana pasada estuvo carga de optimismo cuando Pod2g, el desarrollador que logró el jailbreak de dispositivos con chip A4, anunciaba que esta semana tendríamos el correspondiente software para  iPhone 4S e iPad 2. Sin embargo, el propio programador se ha encontrado con diferentes problemas que retrasarán la llegada de éste último y para los que pide ayuda al resto de la comunidad scene.

Pod2g animaba la semana pasada a los usuarios del jailbreak a que actualizaran sus iPhone 4S e iPad 2 a la última versión de iOS 5.0.1 ya que en pocos días estaría listo el proceso para liberar sus dispositivos. Desafortunadamente estas declaraciones se pasaron de optimistas por parte del programador.

El exploit sólo con cuenta de desarrollador

Según ha comentado él mismo, está teniendo problemas con la publicación de la herramienta que lo haría posible, ya que la vulnerabilidad, el exploit, que se usa para lograr el proceso sólo puede utilizarse con una cuenta de desarrollador de Apple. Por este motivo no puede ser distribuido y la única solución posible es volver a empezar para encontrar un exploit diferente que sea accesible por cualquier usuario.

Pide ayuda a los mejores «jailbreakers»

Pod2g logró en solitario el jailbreak de dispositivos con chip A4 y se puso manos a la obra para crear un sistema similar en los que montan chip A5. Sin embargo, parece que esta tarea no es abordable por un único desarrollador y ha solicitado la ayuda de los primeros espadas de la escena del jailbreak, y en concreto, se han unido a él Planetbeing, uno de los más veteranos desarrolladores del jailbrea, Musclenerd, líder del iPhone Dev Team, y Posixninja, líder del Chronic Dev Team.

La situación sigue como estaba

De momento el panorama sigue igual, sólo dispositivos del iPhone 4 para abajo tienen un jailbreak untethered estable para iOS 5.0.1 mientras que el iPhone 4S no conoce aún un software que traspase sus sistemas y el iPad 2 se mantiene en la versión iOS 4.3.3 como la última que fue vulnerable.

 

48 Comentarios